class SettingBool(object):
    def __init__(self, v):
        self._value = val

    def __get_value(self):
        return self._value

    def __set_value(self):
        self._value = value

    value = property(__get_value, __set_value)
